Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155758 - CAN-2005-1039 Race condition in coreutils
Summary: CAN-2005-1039 Race condition in coreutils
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils
Version: 4.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard: impact=low,public=20050406,source=bug...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 19:58 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 11:17:54 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-22 19:58:36 UTC
Race condition in Core Utilities (coreutils) 5.2.1, when (1) mkdir, (2) mknod,
or (3) mkfifo is running with the -m switch, allows local users to modify
permissions of other files.

http://www.securityfocus.com/archive/1/395489

Comment 1 Josh Bressers 2005-04-22 20:00:33 UTC
This issue should also affect RHEL2.1 and RHEL3


Note You need to log in before you can comment on or make changes to this bug.